
{
type token = Forget of string | Word of (string * int)
}

let lowercase = ['-' '\'' 'a'-'z' '\224'-'\246' '\249'-'\253']
let uppercase = ['A'-'Z' '\192'-'\214' '\217'-'\221']
let alpha = (lowercase | uppercase)+ (lowercase | uppercase)*

rule file = parse
  | alpha
      {	Word (Lexing.lexeme lexbuf,
	      Lexing.lexeme_start lexbuf) }
  | eof
      { raise End_of_file }
  | _
      {	Forget (Lexing.lexeme lexbuf) }
