val in_filename : string ref
val out_filename : string ref
module Auxdic : sig
  type t
  val mem : string -> t -> bool
  val add : string -> t -> t
  val iter : (string -> unit) -> t -> unit
  end
val forget_auxdic : Auxdic.t ref
val private_filename : string ref
val private_modified : bool ref
val private_auxdic : Auxdic.t ref

module Autoreplace : sig
  type 'a t
  val find : string -> string t -> string
  val add : string -> string -> string t -> string t
  end

val areplace_db : string Autoreplace.t ref
