type bucket = Int32.t
type base = int

type dictionary = {
  mutable size: int ;
  mutable elements: bucket array
}

val end_transition : base
val clear_elem : bucket array -> int -> unit
val get_char : bucket -> int
val is_base : bucket -> bool
val is_next_filled : bucket -> bool
val is_final : bucket -> bool
val get_next_base : bucket -> base

val set_char : bucket array -> int -> char -> unit
val set_is_base : bucket array -> int -> unit
val set_next_filled : bucket array -> int -> unit
val set_is_final : bucket array -> int -> unit
val set_next_base : bucket array -> int -> base -> unit
