let dic_name = ref "" ;;


let main () =
  Arg.parse [] (fun fname -> dic_name := fname)
    "Cheat to crossword game" ;
  let dic_file = open_in_bin !dic_name in
  let initial_base = ((input_value dic_file) : int)  in
  let dictionary = ((input_value dic_file) : Common.dictionary) in
  close_in dic_file ;
  try
    while true
    do
      Printf.printf "Enter pattern : " ;
      flush stdout ;
      let pattern = read_line () in
      Matching.find_words dictionary initial_base pattern ;
      flush stdout
    done
  with End_of_file ->
    Printf.printf"\n"
;;

main () ;;
